Bug 149589 - CAN-2005-0209 netfilter SKB problem
CAN-2005-0209 netfilter SKB problem
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: David Miller
Brian Brock
impact=important,public=20050124
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-24 05:46 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 14:52:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-02-24 05:46:52 EST
"If we forward a fragmented packet, we can have ip_summed set to
CHECKSUM_HW or similar.  This is fine for local protocol processing,
but once if we are forwarding this packet we want to reset ip_summed
to CHECKSUM_NONE."  This allows you to crash a host remotely using bad
fragments but only affects certain NICs.  Dave Miller said "Acenic and
SunGEM are the only two cards affected which are in widespread use."

Simple patch:
http://linux.bkbits.net:8080/linux-2.6/cset@41f59581p1swNaow4K1aBglV-q2jfQ
Comment 1 Josh Bressers 2005-04-19 14:52:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-366.html

Note You need to log in before you can comment on or make changes to this bug.